package com.example.blum.dumbnumbertrick;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.NumberPicker;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        final NumberPicker npDigit1 = (NumberPicker) findViewById(R.id.npDigit1);
        final NumberPicker npDigit2 = (NumberPicker) findViewById(R.id.npDigit2);
        final NumberPicker npDigit3 = (NumberPicker) findViewById(R.id.npDigit3);

        npDigit1.setMaxValue(9);
        npDigit1.setMinValue(0);
        npDigit1.setWrapSelectorWheel(false);

        npDigit2.setMaxValue(9);
        npDigit2.setMinValue(0);
        npDigit2.setWrapSelectorWheel(false);

        npDigit3.setMaxValue(9);
        npDigit3.setMinValue(0);
        npDigit3.setWrapSelectorWheel(false);

        final Button btnDouble = (Button) findViewById(R.id.btnDouble);
        final Button btnDivide7 = (Button) findViewById(R.id.btnDivide7);
        final Button btnDivide11 = (Button) findViewById(R.id.btnDivide11);
        final Button btnDivide13 = (Button) findViewById(R.id.btnDivide13);

        final TextView tvDouble = (TextView) findViewById(R.id.tvDouble);
        final TextView tvDivide7 = (TextView) findViewById(R.id.tvDivide7);
        final TextView tvDivide11 = (TextView) findViewById(R.id.tvDivide11);
        final TextView tvDivide13 = (TextView) findViewById(R.id.tvDivide13);

        // "DOUBLE" NUMBER
        btnDouble.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                String three_digit= ""+npDigit1.getValue()+npDigit2.getValue()+npDigit3.getValue();
                tvDouble.setText(three_digit+three_digit);
                btnDivide7.setEnabled(true);
            }
        });

        //DIVIDE BY 7
        btnDivide7.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                int div7 = Integer.parseInt(tvDouble.getText().toString());
                tvDivide7.setText(""+div7/7);
                btnDivide11.setEnabled(true);
            }
        });

        //DIVIDE BY 11
        btnDivide11.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                int div11 = Integer.parseInt(tvDivide7.getText().toString());
                tvDivide11.setText(""+div11/11);
                btnDivide13.setEnabled(true);
            }
        });

        //DIVIDE BY 13
        btnDivide13.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                int div13 = Integer.parseInt(tvDivide11.getText().toString());
                tvDivide13.setText(""+div13/13);
            }
        });


        npDigit1.setOnValueChangedListener(new NumberPicker.OnValueChangeListener() {
            @Override
            public void onValueChange(NumberPicker numberPicker, int i, int i1) {
                tvDouble.setText("-------");
                tvDivide7.setText("-------");
                tvDivide11.setText("-------");
                tvDivide13.setText("-------");
                btnDivide7.setEnabled(false);
                btnDivide11.setEnabled(false);
                btnDivide13.setEnabled(false);
            }
        });

        npDigit2.setOnValueChangedListener(new NumberPicker.OnValueChangeListener() {
            @Override
            public void onValueChange(NumberPicker numberPicker, int i, int i1) {
                tvDouble.setText("-------");
                tvDivide7.setText("-------");
                tvDivide11.setText("-------");
                tvDivide13.setText("-------");
                btnDivide7.setEnabled(false);
                btnDivide11.setEnabled(false);
                btnDivide13.setEnabled(false);
            }
        });

        npDigit3.setOnValueChangedListener(new NumberPicker.OnValueChangeListener() {
            @Override
            public void onValueChange(NumberPicker numberPicker, int i, int i1) {
                tvDouble.setText("-------");
                tvDivide7.setText("-------");
                tvDivide11.setText("-------");
                tvDivide13.setText("-------");
                btnDivide7.setEnabled(false);
                btnDivide11.setEnabled(false);
                btnDivide13.setEnabled(false);
            }
        });


        btnDivide7.setEnabled(false);
        btnDivide11.setEnabled(false);
        btnDivide13.setEnabled(false);
    }//end onCreate
}//end MainActivity
